### Function

# FwupdPlugin common_get_random_string

since: 2.1.5

#### Declaration [src]

    gchar*
    fu_common_get_random_string (
      guint length,
      GError** error
    )

#### Description [src]

Generates a random password using a cryptographically secure RNG.

Available since: 2.1.5

#### Parameters

`length`

  Type: `guint`

  The exact string length of bytes to return.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A string of alphanumeric chars, or `NULL` for error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.